@import '../../variables.scss';

.dashboard-wrapper {
    .main-title {
        margin-bottom: 0;
        flex-direction: column;
        text-align: left;
        justify-content: flex-start;
        align-items: flex-start;

        p {
            margin: 0;
            font-size: 0.80rem;
            display: block;
        }
    }

    .widget-list {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 1.5rem;
        margin-top: 1.5rem;

        @media screen and (max-width:1200px) {
            grid-template-columns: repeat(2, 1fr);
        }

        @media screen and (max-width:767px) {
            grid-gap: 1rem;
        }

        .widget-card {
            background: #ececec;
            padding: 1rem;
            border-radius: 1rem;

            .dark & {
                background: darken($dark-color, 3.5);
            }

            .card-header {
                display: flex;
                align-items: center;

                .icons {
                    width: 50px;
                    min-width: 50px;
                    height: 50px;
                    border-radius: 50px;
                    background: $primary-color;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-right: 12px;

                    @media screen and (max-width:767px) {
                        width: 40px;
                        min-width: 40px;
                        height: 40px;
                        border-radius: 40px;
                    }

                    .icon {
                        fill: $white-color;
                        width: 25px;
                        height: 25px;
                    }
                }
            }

            .card-bottom {
                display: flex;
                margin-top: 1.8rem;

                h2 {
                    margin: 0;
                    font-size: 1.8rem;
                    font-weight: 600;

                    @media screen and (max-width:767px) {
                        font-size: 1.5rem;
                    }
                }
            }
        }
    }

    .dashboard-bottom {
        display: grid;
        grid-gap: 1.5rem;
        margin-top: 1.5rem;
        grid-template-columns: repeat(2, 1fr);

        @media screen and (max-width:1024px) {
            grid-template-columns: repeat(1, 1fr);
        }

        .card-left {
            background: #ececec;
            padding: 1rem;
            border-radius: 1rem;

            .dark & {
                background: darken($dark-color, 3.5);
            }

            .card-header {
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-bottom: 0.8rem;

                .header-left {
                    display: flex;
                    align-items: center;
                    font-weight: 600;
                    font-size: 1.2rem;
                }

                .header-right {
                    .ant-select {
                        font-family: $font-primary;

                        .ant-select-selector {
                            border: 0;
                        }
                    }
                }
            }
        }
    }
}

.highcharts-yaxis-labels {
    text {
        .dark & {
            color: rgba($white-color, 0.8) !important;
            fill: rgba($white-color, 0.8) !important;
        }
    }
}

.highcharts-axis-labels {
    text {
        .dark & {
            color: rgba($white-color, 0.8) !important;
            fill: rgba($white-color, 0.8) !important;
        }
    }
}